base-4.8.0.0: Basic libraries

Copyright | (c) The University of Glasgow 2002
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | non-portable (requires POSIX)
Safe Haskell | Trustworthy
Language | Haskell2010

System.Posix.Types

Contents

- POSIX data types

Description

POSIX data types: Haskell equivalents of the types defined by the `<sys/types.h>` C header on a POSIX system.

Synopsis

- newtype CDev = CDev Word32
- newtype CIno = CIno Int16
- newtype CMode = CMode Word16
- newtype COff = COff Int32
- newtype CPid = CPid Int32
- newtype CSsize = CSsize Int32
- newtype Fd = Fd CInt
- type ByteCount = CSize
- type ClockTick = CClock
- type EpochTime = CTime
- type FileOffset = COff
- type ProcessID = CPid
- type ProcessGroupID = CPid
- type DeviceID = CDev
- type FileID = CIno
- type FileMode = CMode
- type Limit = CLong

# POSIX data types

newtype CDev

Constructors

CDev Word32 |

Instances

Bounded CDev |
Enum CDev |
Eq CDev |
Integral CDev |
Num CDev |
Ord CDev |
Read CDev |
Real CDev |
Show CDev |
FiniteBits CDev |
Bits CDev |
Storable CDev |

newtype CIno

Constructors

CIno Int16 |

Instances

Bounded CIno |
Enum CIno |
Eq CIno |
Integral CIno |
Num CIno |
Ord CIno |
Read CIno |
Real CIno |
Show CIno |
FiniteBits CIno |
Bits CIno |
Storable CIno |

newtype CMode

Constructors

CMode Word16 |

Instances

Bounded CMode |
Enum CMode |
Eq CMode |
Integral CMode |
Num CMode |
Ord CMode |
Read CMode |
Real CMode |
Show CMode |
FiniteBits CMode |
Bits CMode |
Storable CMode |

newtype COff

Constructors

COff Int32 |

Instances

Bounded COff |
Enum COff |
Eq COff |
Integral COff |
Num COff |
Ord COff |
Read COff |
Real COff |
Show COff |
FiniteBits COff |
Bits COff |
Storable COff |

newtype CPid

Constructors

CPid Int32 |

Instances

Bounded CPid |
Enum CPid |
Eq CPid |
Integral CPid |
Num CPid |
Ord CPid |
Read CPid |
Real CPid |
Show CPid |
FiniteBits CPid |
Bits CPid |
Storable CPid |

newtype CSsize

Constructors

CSsize Int32 |

Instances

Bounded CSsize |
Enum CSsize |
Eq CSsize |
Integral CSsize |
Num CSsize |
Ord CSsize |
Read CSsize |
Real CSsize |
Show CSsize |
FiniteBits CSsize |
Bits CSsize |
Storable CSsize |

newtype Fd

Constructors

Fd CInt |

Instances

Bounded Fd |
Enum Fd |
Eq Fd |
Integral Fd |
Num Fd |
Ord Fd |
Read Fd |
Real Fd |
Show Fd |
FiniteBits Fd |
Bits Fd |
Storable Fd |

type ByteCount = CSize

type ClockTick = CClock

type EpochTime = CTime

type FileOffset = COff

type ProcessID = CPid

type ProcessGroupID = CPid

type DeviceID = CDev

type FileID = CIno

type FileMode = CMode

type Limit = CLong